## org.eclipse.emf.converter.util
Class ConverterUtil.WorkspaceResourceValidator

    java.lang.Object
      org.eclipse.emf.converter.util.ConverterUtil.WorkspaceResourceValidator

Enclosing class:
  ConverterUtil

    public static class ConverterUtil.WorkspaceResourceValidator

extends java.lang.Object

Constructor Summary
`ConverterUtil.WorkspaceResourceValidator()`

Method Summary
`static java.lang.String` `validate(java.util.List<Resource> emfResources)` Invokes the Platform validateEdit method for all the read-only files referred by a given resource in the list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConverterUtil.WorkspaceResourceValidator

    public ConverterUtil.WorkspaceResourceValidator()

Method Detail

### validate

    public static java.lang.String validate(java.util.List<Resource> emfResources)

  Invokes the Platform validateEdit method for all the read-only files referred by a given resource in the list. Returns null if the resources can be saved or a comma separated list of the files that are read-only.

  Parameters:
    `emfResources` -
  Returns:
    String

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.